Task # 33745 (Resolved): Integrate File Abstraction Layer

Status: Resolved Priority: Should have
Author: Oliver Hader Category:
Created: 2012-02-07 Assigned To: Oliver Hader
Updated: 2012-02-09 Due date:
PHP Version: 5.3
Complexity:
Sprint Focus:
Subject: Integrate possibility to resolve relative path walks
Description

The BACK_PATH is a known thing in TYPO3, used to define the relative path to the TYPO3 main directory (./typo3/).
Since this setting is static and strict, it would be nice to finally get rid of it and have a dynamic way to the determine the relative paths
to be walked.

Examples:
t3lib_utility_Path::resolveBackPath(PATH_t3lib)
t3lib_utility_Path::resolveBackPath(PATH_typo3)
t3lib_utility_Path::resolveBackPath(t3lib_extMgm::extPath('myext') . 'Resources/'):

Associated revisions
Revision 30ee927d - 2012-02-08 20:09 - Oliver Hader

[FEATURE] Integrate possibility to resolve relative path walks

The BACK_PATH is a known thing in TYPO3, used to define the
relative path to the TYPO3 main directory (./typo3/). Since this
setting is static and strict, it would be nice to finally get
rid of it and have a dynamic way to the determine the relative
paths to be walked.

Examples:
t3lib_utility_Path::resolveBackPath(PATH_t3lib)
t3lib_utility_Path::resolveBackPath(PATH_typo3)
t3lib_utility_Path::resolveBackPath(t3lib_extMgm::extPath('myext') . 'Resources/'):

Change-Id: I4e3b0483299f030bf017074a076201acf61edab9
Resolves: #33753
Releases: 4.7
Reviewed-on: http://review.typo3.org/8905
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Tolleiv Nietsch
Tested-by: Tolleiv Nietsch

History
#1 - 2012-02-08 13:29 - Gerrit Code Review
- Status changed from New to Under Review
Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8905

#2 - 2012-02-08 18:42 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8905

#3 - 2012-02-09 02:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:30ee927d52bfac63a3202c0459c99f49b14719fe.
